<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
require_once ('../system/function.php');
//-----Подключаем вверх-----//
$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));
$title='Темы '.$forum_r['login'].'';
require_once ('../system/header.php');


if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого пользавателья не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}




echo '<div class="title">Темы '.$forum_r['login'].'</div>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `us` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_k = mysql_query("SELECT * FROM `forum_tema` WHERE `us` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($forum_k))
{




if($a['status'] == 0){
$icon = 'tem';
}elseif($a['status'] == 1){
$icon = 'close';
}elseif($a['status'] == 2){
$icon = 'top';
}

echo '<div class="podmenu"> <img src="/images/'.$icon.'.png" alt="*">  <a href="/forum/tema'.$a['id'].'">'.$a['name'].'</a> 
('.mysql_result(mysql_query('select count(`id`) from `forum_post` WHERE `tema` = "'.$a['id'].'"'),0).')<a href="/forum/tema'.$a['id'].'?selection=top">>></a><br /></div>';
}



if($k_post < 1) echo '<div class="podmenu"><b><center>Данный пользавател еще не создавал тем в форуме</center></b></div>';




if($k_page>1) echo str(''.$HOME.'/forum/temus'.$id.'?',$k_page,$page); // Вывод страниц

require_once ('../system/footer.php');
?>